Index: /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3486)
+++ /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3487)
@@ -3242,275 +1455,25 @@
 		vrLoc = 2058;
 	};
-	6DED34E70DAE15FE00A2F30F /* PBXTextBookmark */ = {
+	6DED352B0DAE376A00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 13";
-		rLen = 0;
-		rLoc = 772;
-		rType = 0;
-		vrLen = 199;
-		vrLoc = 0;
-	};
-	6DED34E80DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 29";
-		rLen = 0;
-		rLoc = 985;
-		rType = 0;
-		vrLen = 1066;
-		vrLoc = 403;
-	};
-	6DED34E90DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 13";
-		rLen = 0;
-		rLoc = 180;
-		rType = 0;
-		vrLen = 389;
-		vrLoc = 0;
-	};
-	6DED34EA0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 352";
-		rLen = 0;
-		rLoc = 13629;
-		rType = 0;
-		vrLen = 577;
-		vrLoc = 13528;
-	};
-	6DED34EB0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 9";
-		rLen = 0;
-		rLoc = 224;
-		rType = 0;
-		vrLen = 463;
-		vrLoc = 0;
-	};
-	6DED34EC0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: SIPll_MSG";
-		rLen = 0;
-		rLoc = 421;
-		rType = 0;
-		vrLen = 525;
-		vrLoc = 194;
-	};
-	6DED34ED0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: 70";
-		rLen = 0;
-		rLoc = 2196;
-		rType = 0;
-		vrLen = 580;
-		vrLoc = 1763;
-	};
-	6DED34EE0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "SPIWindow.h: 6";
-		rLen = 0;
-		rLoc = 127;
-		rType = 0;
-		vrLen = 567;
-		vrLoc = 196;
-	};
-	6DED34EF0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 42";
-		rLen = 0;
-		rLoc = 1370;
-		rType = 0;
-		vrLen = 813;
-		vrLoc = 863;
-	};
-	6DED34F00DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 36";
-		rLen = 0;
-		rLoc = 596;
-		rType = 0;
-		vrLen = 438;
-		vrLoc = 256;
-	};
-	6DED34F10DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 352";
-		rLen = 0;
-		rLoc = 13629;
-		rType = 0;
-		vrLen = 619;
-		vrLoc = 13486;
-	};
-	6DED34F20DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 48";
-		rLen = 0;
-		rLoc = 1556;
-		rType = 0;
-		vrLen = 1000;
-		vrLoc = 609;
-	};
-	6DED34F30DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 13";
-		rLen = 0;
-		rLoc = 772;
-		rType = 0;
-		vrLen = 199;
-		vrLoc = 0;
-	};
-	6DED34F40DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 112";
-		rLen = 0;
-		rLoc = 2617;
-		rType = 0;
-		vrLen = 560;
-		vrLoc = 2058;
-	};
-	6DED34F50DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 13";
-		rLen = 0;
-		rLoc = 772;
-		rType = 0;
-		vrLen = 199;
-		vrLoc = 0;
-	};
-	6DED34F60DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 32";
-		rLen = 0;
-		rLoc = 1202;
-		rType = 0;
-		vrLen = 1225;
-		vrLoc = 248;
-	};
-	6DED34F70DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = CreateTextLabel;
-		rLen = 15;
-		rLoc = 6300;
-		rType = 0;
-		vrLen = 1867;
-		vrLoc = 4956;
-	};
-	6DED34F80DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 19";
-		rLen = 0;
-		rLoc = 364;
-		rType = 0;
-		vrLen = 507;
-		vrLoc = 0;
-	};
-	6DED34F90DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: dataField";
-		rLen = 0;
-		rLoc = 670;
-		rType = 0;
-		vrLen = 499;
-		vrLoc = 195;
-	};
-	6DED34FA0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 32";
-		rLen = 0;
-		rLoc = 1202;
-		rType = 0;
-		vrLen = 1225;
-		vrLoc = 248;
-	};
-	6DED34FB0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: dataField";
-		rLen = 0;
-		rLoc = 670;
-		rType = 0;
-		vrLen = 480;
-		vrLoc = 214;
-	};
-	6DED34FC0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = CreateTextLabel;
-		rLen = 15;
-		rLoc = 6300;
-		rType = 0;
-		vrLen = 1867;
-		vrLoc = 4956;
-	};
-	6DED34FD0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 19";
-		rLen = 0;
-		rLoc = 364;
-		rType = 0;
-		vrLen = 507;
-		vrLoc = 0;
-	};
-	6DED34FE0DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 9";
-		rLen = 55;
-		rLoc = 139;
-		rType = 0;
-		vrLen = 459;
-		vrLoc = 0;
-	};
-	6DED35070DAE16E800A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: ADCWind";
-		rLen = 0;
-		rLoc = 441;
-		rType = 0;
-		vrLen = 329;
-		vrLoc = 0;
-	};
-	6DED35080DAE16E800A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 23";
-		rLen = 0;
-		rLoc = 371;
-		rType = 0;
-		vrLen = 433;
-		vrLoc = 0;
-	};
-	6DED35090DAE16E800A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 12";
-		rLen = 0;
-		rLoc = 194;
-		rType = 0;
-		vrLen = 524;
-		vrLoc = 139;
-	};
-	6DED35280DAE376A00A2F30F /* PBXTextBookmark */ = {
+		name = "ADCWindow.h: 18";
+		rLen = 0;
+		rLoc = 288;
+		rType = 0;
+		vrLen = 429;
+		vrLoc = 137;
+	};
+	6DED352C0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 21";
+		rLen = 0;
+		rLoc = 1569;
+		rType = 0;
+		vrLen = 376;
+		vrLoc = 0;
+	};
+	6DED352D0DAE376A00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
@@ -3522,5 +1485,15 @@
 		vrLoc = 2679;
 	};
-	6DED35290DAE376A00A2F30F /* PBXTextBookmark */ = {
+	6DED352E0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
+		name = "ADCWindow.cpp: 18";
+		rLen = 0;
+		rLoc = 438;
+		rType = 0;
+		vrLen = 708;
+		vrLoc = 3;
+	};
+	6DED352F0DAE376A00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
@@ -3532,55 +1505,45 @@
 		vrLoc = 130;
 	};
-	6DED352A0DAE376A00A2F30F /* PBXTextBookmark */ = {
+	6DED355C0DAE431E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
+		name = "BaoAdc.cpp: 22";
+		rLen = 0;
+		rLoc = 462;
+		rType = 0;
+		vrLen = 764;
+		vrLoc = 171;
+	};
+	6DED355E0DAE431E00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
 		name = "ADCWindow.cpp: 18";
 		rLen = 0;
-		rLoc = 438;
-		rType = 0;
-		vrLen = 708;
-		vrLoc = 3;
-	};
-	6DED352B0DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 18";
-		rLen = 0;
-		rLoc = 288;
-		rType = 0;
-		vrLen = 429;
-		vrLoc = 137;
-	};
-	6DED352C0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		rLoc = 426;
+		rType = 0;
+		vrLen = 1102;
+		vrLoc = 0;
+	};
+	6DED35600DAE431E00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "ADCWindow.cpp: 21";
-		rLen = 0;
-		rLoc = 1569;
-		rType = 0;
-		vrLen = 376;
-		vrLoc = 0;
-	};
-	6DED352D0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		name = "ADCWindow.cpp: 32";
+		rLen = 0;
+		rLoc = 1415;
+		rType = 0;
+		vrLen = 1315;
+		vrLoc = 164;
+	};
+	6DED35610DAE431E00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 128";
-		rLen = 0;
-		rLoc = 3264;
-		rType = 0;
-		vrLen = 618;
-		vrLoc = 2679;
-	};
-	6DED352E0DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "ADCWindow.cpp: 18";
-		rLen = 0;
-		rLoc = 438;
-		rType = 0;
-		vrLen = 708;
-		vrLoc = 3;
-	};
-	6DED352F0DAE376A00A2F30F /* PBXTextBookmark */ = {
+		name = "BaoAdc.cpp: 22";
+		rLen = 0;
+		rLoc = 462;
+		rType = 0;
+		vrLen = 764;
+		vrLoc = 171;
+	};
+	6DED35620DAE431E00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
@@ -3589,194 +1552,18 @@
 		rLoc = 370;
 		rType = 0;
-		vrLen = 471;
-		vrLoc = 130;
-	};
-	6DED35300DAE376A00A2F30F /* PBXTextBookmark */ = {
+		vrLen = 504;
+		vrLoc = 133;
+	};
+	6DED35630DAE431E00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "ADCWindow.cpp: 32";
-		rLen = 0;
-		rLoc = 1387;
-		rType = 0;
-		vrLen = 1173;
-		vrLoc = 291;
-	};
-	6DED35310DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 19";
-		rLen = 0;
-		rLoc = 311;
-		rType = 0;
-		vrLen = 524;
-		vrLoc = 139;
-	};
-	6DED35320DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 88";
-		rLen = 0;
-		rLoc = 3302;
-		rType = 0;
-		vrLen = 1121;
-		vrLoc = 2345;
-	};
-	6DED35330DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 44";
-		rLen = 0;
-		rLoc = 772;
-		rType = 0;
-		vrLen = 546;
-		vrLoc = 228;
-	};
-	6DED35340DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 19";
-		rLen = 0;
-		rLoc = 311;
-		rType = 0;
-		vrLen = 524;
-		vrLoc = 139;
-	};
-	6DED35350DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 20";
-		rLen = 0;
-		rLoc = 325;
-		rType = 0;
-		vrLen = 522;
-		vrLoc = 0;
-	};
-	6DED35360DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 88";
-		rLen = 0;
-		rLoc = 3302;
-		rType = 0;
-		vrLen = 1121;
-		vrLoc = 2345;
-	};
-	6DED35370DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: 44";
-		rLen = 0;
-		rLoc = 772;
-		rType = 0;
-		vrLen = 546;
-		vrLoc = 228;
-	};
-	6DED35380DAE376A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: MixReg";
-		rLen = 0;
-		rLoc = 471;
-		rType = 0;
-		vrLen = 820;
-		vrLoc = 199;
-	};
-	6DED35430DAE423500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 29";
-		rLen = 0;
-		rLoc = 972;
-		rType = 0;
-		vrLen = 760;
-		vrLoc = 609;
-	};
-	6DED35440DAE423500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "error: ISO C++ forbids declaration of 'ADCWind' with no type";
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		rLen = 1;
-		rLoc = 29;
-		rType = 1;
-	};
-	6DED35450DAE423500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 29";
-		rLen = 0;
-		rLoc = 972;
-		rType = 0;
-		vrLen = 760;
-		vrLoc = 609;
-	};
-	6DED35460DAE423500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "ADCWind* adcWindow;";
-		rLen = 22;
-		rLoc = 615;
-		rType = 0;
-		vrLen = 564;
-		vrLoc = 348;
-	};
-	6DED354B0DAE425A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "ADCWind* adcWindow;";
-		rLen = 22;
-		rLoc = 615;
-		rType = 0;
-		vrLen = 578;
-		vrLoc = 355;
-	};
-	6DED354C0DAE425A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "error: expected constructor, destructor, or type conversion before '::' token";
-		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		rLen = 1;
-		rLoc = 37;
-		rType = 1;
-	};
-	6DED354D0DAE425A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "ADCWind* adcWindow;";
-		rLen = 22;
-		rLoc = 615;
-		rType = 0;
-		vrLen = 578;
-		vrLoc = 355;
-	};
-	6DED354E0DAE425A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "~ADCWind::ADCWind()";
-		rLen = 20;
-		rLoc = 1526;
-		rType = 0;
-		vrLen = 929;
-		vrLoc = 612;
-	};
-	6DED35530DAE427B00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "ADCWindow.cpp: ~ADCWind";
-		rLen = 0;
-		rLoc = 1526;
-		rType = 0;
-		vrLen = 929;
-		vrLoc = 612;
-	};
-	6DED355C0DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 22";
-		rLen = 0;
-		rLoc = 462;
-		rType = 0;
-		vrLen = 764;
-		vrLoc = 171;
-	};
-	6DED355D0DAE431E00A2F30F /* PBXTextBookmark */ = {
+		name = "ADCWindow.cpp: 50";
+		rLen = 0;
+		rLoc = 2137;
+		rType = 0;
+		vrLen = 881;
+		vrLoc = 729;
+	};
+	6DED35640DAE431E00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
@@ -3788,5 +1575,5 @@
 		vrLoc = 1199;
 	};
-	6DED355E0DAE431E00A2F30F /* PBXTextBookmark */ = {
+	6DED35650DAE431E00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
@@ -3798,113 +1585,181 @@
 		vrLoc = 0;
 	};
-	6DED355F0DAE431E00A2F30F /* PBXTextBookmark */ = {
+	6DED35B80DAE4D7500A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: OFFSETY_ADC";
-		rLen = 0;
-		rLoc = 370;
-		rType = 0;
-		vrLen = 504;
-		vrLoc = 133;
-	};
-	6DED35600DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "ADCWindow.cpp: 32";
-		rLen = 0;
-		rLoc = 1415;
-		rType = 0;
-		vrLen = 1315;
-		vrLoc = 164;
-	};
-	6DED35610DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 22";
-		rLen = 0;
-		rLoc = 462;
-		rType = 0;
-		vrLen = 764;
-		vrLoc = 171;
-	};
-	6DED35620DAE431E00A2F30F /* PBXTextBookmark */ = {
+		name = "ADCWindow.h: 16";
+		rLen = 0;
+		rLoc = 250;
+		rType = 0;
+		vrLen = 782;
+		vrLoc = 0;
+	};
+	6DED35B90DAE4D7500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
+		name = "pistdwdgmosx.cpp: 90";
+		rLen = 0;
+		rLoc = 2210;
+		rType = 0;
+		vrLen = 1092;
+		vrLoc = 1393;
+	};
+	6DED35BA0DAE4D7500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 54";
+		rLen = 0;
+		rLoc = 1723;
+		rType = 0;
+		vrLen = 1761;
+		vrLoc = 0;
+	};
+	6DED35BB0DAE4D7500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: action";
+		rLen = 0;
+		rLoc = 788;
+		rType = 0;
+		vrLen = 783;
+		vrLoc = 0;
+	};
+	6DED35BD0DAE4D7500A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: OFFSETY_ADC";
-		rLen = 0;
-		rLoc = 370;
-		rType = 0;
-		vrLen = 504;
-		vrLoc = 133;
-	};
-	6DED35630DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "ADCWindow.cpp: 50";
-		rLen = 0;
-		rLoc = 2137;
+		name = "ADCWindow.h: 16";
+		rLen = 0;
+		rLoc = 250;
+		rType = 0;
+		vrLen = 782;
+		vrLoc = 0;
+	};
+	6DED35BE0DAE4D7500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
+		name = "pistdwdgmosx.cpp: 90";
+		rLen = 0;
+		rLoc = 2210;
+		rType = 0;
+		vrLen = 1092;
+		vrLoc = 1393;
+	};
+	6DED35BF0DAE4D7500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 54";
+		rLen = 0;
+		rLoc = 1723;
+		rType = 0;
+		vrLen = 1761;
+		vrLoc = 0;
+	};
+	6DED35C00DAE4D7500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 28";
+		rLen = 0;
+		rLoc = 966;
+		rType = 0;
+		vrLen = 1973;
+		vrLoc = 0;
+	};
+	6DED35C10DAE4D7500A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: action";
+		rLen = 0;
+		rLoc = 788;
+		rType = 0;
+		vrLen = 783;
+		vrLoc = 0;
+	};
+	6DED35C60DAE4DDE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: expected `;' before 'piButton'";
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		rLen = 1;
+		rLoc = 44;
+		rType = 1;
+	};
+	6DED35D20DAE4E6E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 45";
+		rLen = 0;
+		rLoc = 1696;
+		rType = 0;
+		vrLen = 931;
+		vrLoc = 1085;
+	};
+	6DED35D30DAE4E6E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 127";
+		rLen = 0;
+		rLoc = 4713;
+		rType = 0;
+		vrLen = 1086;
+		vrLoc = 4128;
+	};
+	6DED35D40DAE4E6E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 45";
+		rLen = 0;
+		rLoc = 1696;
+		rType = 0;
+		vrLen = 931;
+		vrLoc = 1085;
+	};
+	6DED35D50DAE4E6E00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 127";
+		rLen = 0;
+		rLoc = 4713;
+		rType = 0;
+		vrLen = 1086;
+		vrLoc = 4128;
+	};
+	6DED35DC0DAE4F6100A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 23";
+		rLen = 0;
+		rLoc = 376;
+		rType = 0;
+		vrLen = 657;
+		vrLoc = 135;
+	};
+	6DED35DD0DAE4F6100A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
+		name = "SPIWindow.h: 23";
+		rLen = 0;
+		rLoc = 376;
+		rType = 0;
+		vrLen = 657;
+		vrLoc = 135;
+	};
+	6DED35E30DAE7B2D00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
+		name = "SPIWindow.cpp: 27";
+		rLen = 0;
+		rLoc = 937;
 		rType = 0;
 		vrLen = 881;
-		vrLoc = 729;
-	};
-	6DED35640DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 44";
-		rLen = 391;
-		rLoc = 1370;
-		rType = 0;
-		vrLen = 562;
-		vrLoc = 1199;
-	};
-	6DED35650DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */;
-		name = "ADCWindow.cpp: 18";
-		rLen = 0;
-		rLoc = 426;
-		rType = 0;
-		vrLen = 1102;
-		vrLoc = 0;
-	};
-	6DED35660DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
-		name = "ADCWindow.h: OFFSETY_ADC";
-		rLen = 0;
-		rLoc = 370;
-		rType = 0;
-		vrLen = 468;
-		vrLoc = 133;
-	};
-	6DED35670DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: MixReg";
-		rLen = 0;
-		rLoc = 471;
-		rType = 0;
-		vrLen = 820;
-		vrLoc = 199;
-	};
-	6DED35680DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: MixReg";
-		rLen = 0;
-		rLoc = 471;
-		rType = 0;
-		vrLen = 820;
-		vrLoc = 199;
-	};
-	6DED35690DAE431E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
-		name = "MixReg.cpp: 33";
-		rLen = 0;
-		rLoc = 592;
-		rType = 0;
-		vrLen = 683;
-		vrLoc = 591;
+		vrLoc = 2067;
+	};
+	6DED35E40DAE7B2D00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DEA83220C7F166500B7D5DD /* pistdwdgmosx.cpp */;
+		name = "pistdwdgmosx.cpp: 94";
+		rLen = 0;
+		rLoc = 2253;
+		rType = 0;
+		vrLen = 648;
+		vrLoc = 1742;
 	};
 	6DED738F0D8FA59000D85368 /* RegisterWindow.h */ = {
@@ -3917,7 +1772,7 @@
 	6DED73900D8FA59000D85368 /* RegisterWindow.cpp */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {783, 5264}}";
-			sepNavSelRange = "{3302, 0}";
-			sepNavVisRect = "{{0, 897}, {783, 429}}";
+			sepNavIntBoundsRect = "{{0, 0}, {821, 5264}}";
+			sepNavSelRange = "{4713, 0}";
+			sepNavVisRect = "{{0, 1519}, {821, 410}}";
 		};
 	};
@@ -3931,71 +1786,4 @@
 		vrLen = 512;
 		vrLoc = 0;
-	};
-	6DEE54A90DA294BA0087C115 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DDB77E20663266A009E5976 /* pistdwdggen.h */;
-		name = "pistdwdggen.h: 40";
-		rLen = 0;
-		rLoc = 1130;
-		rType = 0;
-		vrLen = 776;
-		vrLoc = 2965;
-	};
-	6DEE54B00DA294BA0087C115 /* pistdwdgx.h */ = {
-		isa = PBXFileReference;
-		lastKnownFileType = sourcecode.c.h;
-		name = pistdwdgx.h;
-		path = /Users/brunomansoux/Programmes/PI4Mac/PI/pistdwdgx.h;
-		sourceTree = "<absolute>";
-	};
-	6DEF36C90DA1181700B5B599 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA07E50C8861E90016C028 /* pit0.cc */;
-		name = "pit0.cc: 33";
-		rLen = 0;
-		rLoc = 831;
-		rType = 0;
-		vrLen = 819;
-		vrLoc = 434;
-	};
-	6DEF36D10DA1181700B5B599 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */;
-		name = "PILabelQuartz(PIContainerGen* par, const char* nom,int sx=10, int sy=10, int px=0, int py=0);";
-		rLen = 95;
-		rLoc = 219;
-		rType = 0;
-		vrLen = 645;
-		vrLoc = 0;
-	};
-	6DEF36D50DA1181700B5B599 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA07E50C8861E90016C028 /* pit0.cc */;
-		name = "pit0.cc: 189";
-		rLen = 0;
-		rLoc = 5514;
-		rType = 0;
-		vrLen = 626;
-		vrLoc = 2900;
-	};
-	6DEF36DD0DA1181700B5B599 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D189BFF0619C1F5009E5976 /* piwdgmosx.cpp */;
-		name = "piwdgmosx.cpp: 37";
-		rLen = 0;
-		rLoc = 690;
-		rType = 0;
-		vrLen = 355;
-		vrLoc = 468;
-	};
-	6DEF36E20DA1181700B5B599 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DDB77E20663266A009E5976 /* pistdwdggen.h */;
-		name = "pistdwdggen.h: 19";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 742;
-		vrLoc = 1578;
 	};
 	6DEF36ED0DA1181700B5B599 /* PBXTextBookmark */ = {
@@ -4023,34 +1811,4 @@
 			sepNavWindowFrame = "{{15, 28}, {1002, 969}}";
 		};
-	};
-	6DF0B23A0DAD2333009DC3D5 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 26";
-		rLen = 0;
-		rLoc = 173;
-		rType = 0;
-		vrLen = 1571;
-		vrLoc = 0;
-	};
-	6DF0B23B0DAD2333009DC3D5 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 26";
-		rLen = 0;
-		rLoc = 173;
-		rType = 0;
-		vrLen = 1571;
-		vrLoc = 0;
-	};
-	6DF0B23C0DAD2333009DC3D5 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 36";
-		rLen = 0;
-		rLoc = 934;
-		rType = 0;
-		vrLen = 1580;
-		vrLoc = 0;
 	};
 	6DF29DE50B71EEB300F55B65 /* Source Control */ = {
Index: /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp	(revision 3486)
+++ /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp	(revision 3487)
@@ -87,7 +87,10 @@
 string PITextQuartz::GetText() const
 {
+	CFStringRef str;
 	char* cText;
-	
-	cText = (char *)CFStringGetCStringPtr(unicodeText,kCFStringEncodingMacRoman);	
+
+	GetControlData(contH, kControlEditTextPart, kControlEditTextCFStringTag, sizeof(str),&str,NULL);
+	
+	cText = (char *)CFStringGetCStringPtr(str,kCFStringEncodingMacRoman);	
 	string sText(cText);	
 	return (sText);
